## xmakemol 5.16

=== debian/changelog ===
xmakemol (5.16-10) unstable; urgency=medium

  * Team Upload.
  [ Daniel Leidert ]
  * debian/watch: Fixed.
  * Fix Vcs-* fields in debian/control after migrating package to Git.

  [ Nilesh Patra ]
  * Add gitlab-ci.yml
  * Add patch to fix gcc-10 FTBFS (Closes: #957987)

 -- Nilesh Patra <npatra974@gmail.com>  Fri, 19 Feb 2021 21:09:24 +0530

xmakemol (5.16-9) unstable; urgency=medium

  * debian/patches/fix_vectors_on_atoms.patch: New patch, makes vectors on
    atoms properly start from the atom's surface provided atoms are displayed.
  * debian/control (Standards-Version): Bumped to 3.9.6.

 -- Michael Banck <mbanck@debian.org>  Wed, 23 Mar 2016 21:01:02 +0100

xmakemol (5.16-8) unstable; urgency=low

  * debian/patches/print_torsions.patch: New patch, prints torsions to 8 digits
    precision to stdout, for debugging purposes.
  * debian/patches/h-bond.patch: Improved hydrogen bond handling, taken from
    upstream bug #24918, by Mikael Johansson.
  * debian/patches/h-bond-factor.patch: Removed, no longer needed.

 -- Michael Banck <mbanck@debian.org>  Sun, 24 Jan 2016 16:11:02 +0100

xmakemol (5.16-7) unstable; urgency=low

  [ Daniel Leidert ]
  * debian/control (Uploaders): Removed myself.
    (Vcs-Browser, Vcs-Svn): Fixed vcs-field-not-canonical.
    (Build-Depends): Added autotools-dev. Replaced libgl1-mesa-swx11-dev by
    libgl1-mesa-dev, lesstif2-dev by libmotif-dev (closes: #714740, #714447).
    (Standards-Version): Bumped to 3.9.4.
    (DM-Upload-Allowed): Dropped.
  * debian/rules: Use autotools_dev addon, fix outdated-autotools-helper-file.
    Enable hardening.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Wed, 04 Sep 2013 22:10:41 +0200

xmakemol (5.16-6) unstable; urgency=low

  * debian/compat: Increased compatibility level to 7.
  * debian/control (Standards-Version): Bumped to 3.9.3.
    (Build-Depends): Increased dh version. Dropped dpatch.
    (Vcs-Browser): Fixed.
    (Description): Fixed description-synopsis-starts-with-article.
  * debian/copyright: Minor update.
  * debian/rules: Rewritten for dh 7.
  * debian/patches/03_h-bond-factor.dpatch: Renamed to
    debian/patches/h-bond-factor.patch.
  * debian/patches/00list: Renamed to debian/patches/series and adjusted.
  * debian/source/format: Changed to 3.0 quilt (closes: #664319).

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 10 Jun 2012 19:13:19 +0200

xmakemol (5.16-5) unstable; urgency=low

  * debian/control (Build-Depends): Added dpatch.
  * debian/rules: Include /usr/share/dpatch/dpatch.make and let the
    build-stamp target depend on patch-stamp.
  * debian/patches/03_h-bond-factor.dpatch: New patch, decrease hydrogen bond
    factor so intramolecular h-bonds are less likely to be displayed.

 -- Michael Banck <mbanck@debian.org>  Wed, 14 Jul 2010 18:10:00 +0200

xmakemol (5.16-4) unstable; urgency=low

  * debian/control: Bumped to 3.8.3.
    (Vcs-Svn): Fixed.
    (Depends): Fixed debhelper-but-no-misc-depends.
  * debian/rules (%/config.status): Fix configure options for OpenGL-enabled
    build - a bug introduced by myself in 5.16-2 (closes: #548124).
    (binary-arch): Removed deprecated dh_desktop.
  * debian/xmakemol.desktop: Removed Icon field because of non-existent icon
    (closes: #547966).
  * debian/xmakemol.doc-base,
    debian/xmakemol-gl.doc-base: Added.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Fri, 25 Sep 2009 03:03:32 +0200

xmakemol (5.16-3) unstable; urgency=low

  * Upload to unstable.
  * debian/control (Description): Fixed duplicate-short-description.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 15 Feb 2009 20:54:55 +0100

xmakemol (5.16-2) experimental; urgency=low

  * debian/control: Vcs fields transition. The xmakemol-gl package has been
    downgraded to priority extra to fix a violation of section 2.5 of the
    Debian policy (thanks to debcheck). Added DM-Upload-Allowed.
    (Maintainer): Set to the debichem team address. Moved Michael to
    Uploaders.
    (Uploaders): Removed LI. Thanks for your work!
    (Standards-Version): Updated to 3.8.0.
    (Vcs-Svn): Set to experimental location.
  * debian/copyright: Updated.
  * debian/dirs: Removed (useless).
  * debian/docs: Ditto.
  * debian/xmakemol-gl.dirs: Ditto.
  * debian/xmakemol-gl.docs: Ditto.
  * debian/menu: Renamed to debian/xmakemol.menu.
  * debian/xmakemol.desktop: Added .desktop file based on Ubuntu version.
  * debian/README.Debian: Renamed to debian/xmakemol.README.Debian, updated
    and copied to debian/xmakemol-gl.README.Debian.
  * debian/rules: Rewrote some target stuff using implicit rules to reduce
    target sizes.
    (clean): Made it slightly easier.
    (binary-arch): Reordered calls a bit. Removed the argument to
    dh_installman. Install docs to all binary packages. Install .desktop
    files.
  * debian/watch: Fixed.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sat, 31 Jan 2009 00:53:13 +0100

xmakemol (5.16-1) unstable; urgency=low

  * New upstream release 5.16.

  [ Daniel Leidert ]
  * debian/control: Homepage field transition.
    (Uploaders): Added LI and myself.
  * debian/rules: Massive updates for a cleaner autotools-feature usage.
  * debian/watch: Added.

  [ LI Daobing ]
  * debian/control:
    - build depends on libglw1-mesa-dev
    - depends on debhelper (>= 5)
    - bump policy version to 3.7.2
    - add homepage to description.
    - remove depends on dpatch
  * debian/rules:
    - lintian doesn't like "-$(MAKE) clean", see bug#325372
    - do not try install ChangeLog.
    - remove DH_COMPAT
    - install /usr/bin/xmake_anim.pl as /usr/bin/xmake_anim
    - remove depends on dpatch
  * debian/patches/02_glutInit.dpatch: deleted.
  * debian/patches/00list: deleted.
  * debian/patches: deleted.
  * debian/compat: added.
  * debian/menu: update section.
  * debian/xmakemol-gl.menu: update section.
  * debian/README.Debian: explain why xmake_anim.pl is renamed.


