=== debian/control ===
Source: xmakemol
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: autotools-dev (>> 20100122.1~),
               debhelper (>> 7.0.50~),
               freeglut3-dev,
               libmotif-dev,
               libgl1-mesa-dev | libgl-dev,
               libglw1-mesa-dev,
               libxi-dev,
               libxpm-dev,
               libxt-dev
Standards-Version: 3.9.6
Homepage: http://www.nongnu.org/xmakemol/
Vcs-Browser: https://salsa.debian.org/debichem-team/xmakemol
Vcs-Git: https://salsa.debian.org/debichem-team/xmakemol.git

Package: xmakemol
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: gifsicle, imagemagick, openbabel, transfig
Conflicts: xmakemol-gl
Description: program for visualizing atomic and molecular systems
 XMakemol is a mouse-based program, written using the LessTif widget set, for
 viewing and manipulating atomic and other chemical systems.  It reads XYZ
 input and renders atoms, bonds and hydrogen bonds.
 .
 Features include:
  - Animating multiple frame files
  - Interactive measurement of bond lengths, bond angles and torsion angles
  - Control over atom/bond sizes
  - Exporting to Xpm, Encapsulated PostScript and XYZ formats
  - Toggling the visibility of groups of atoms
  - Editing the positions of subsets of atoms

Package: xmakemol-gl
Architecture: any
Priority: extra
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: gifsicle, imagemagick, openbabel, transfig
Conflicts: xmakemol
Description: program for visualizing atomic and molecular systems (OpenGL)
 XMakemol is a mouse-based program, written using the LessTif widget set, for
 viewing and manipulating atomic and other chemical systems.  It reads XYZ
 input and renders atoms, bonds and hydrogen bonds.
 .
 Features include:
  - Animating multiple frame files
  - Interactive measurement of bond lengths, bond angles and torsion angles
  - Control over atom/bond sizes
  - Exporting to Xpm, Encapsulated PostScript and XYZ formats
  - Toggling the visibility of groups of atoms
  - Editing the positions of subsets of atoms
 .
 This is the OpenGL-enabled XMakemol package. The images are rendered using
 true 3D graphics primitives, and can be exported using the Xpm format;
 red/blue stereo images can also be produced. The OpenGL package provides more
 display options, along with better support for displaying vectors. Ellipses
 can also be rendered.
