=== debian/watch ===
# See uscan(1) for format

version=3
http://download.savannah.gnu.org/releases/xmakemol/xmakemol-([\d\.]+)\.tar\.gz
